#!/bin/sh

src=$(dirname $0)
dst="/usr/lib/enigma2/python/Plugins/Extensions/CutListEditor/ui.pyo"
title="Cutlist editor"

if test -f $src/installed; then
  rm $src/installed
  if test -f $src/testing; then
	rm $src/testing
    for f in $dst; do
      mv $f~ $f
    done
    echo "$title removed."
  else
    for f in $dst; do
      rm $f~
    done
    echo "$title made permanent."
  fi
else
  for f in $dst; do
    mv $f $f~
    cp $src/$(basename $f) $f
  done
  touch $src/installed $src/testing
  echo "$title installed."
fi
